function d=bladderStressArray()

%%%%%%%%%%%%%%%%%% Build the solution array. %%%%%%%%%%%%%%%%%%%%%%
len025=importdata('resultslen025angALL.txt');%Import data.
len050=importdata('resultslen05angALL.txt');
len075=importdata('resultslen075angALL.txt');
len100=importdata('resultslen10angALL.txt');
len125=importdata('resultslen125angALL.txt');
len150=importdata('resultslen150angALL.txt');

d=[]; %Initialize the solution array.

% EdgeLengths(6) > BraidAngles(6) > Thicknesses(5) > Pressures(5)
j=1;k=1;l=1;
for i=[1:length(len025)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(1,k,j,l)=len025(i);
    l=l+1;
end

j=1;k=1;l=1;
for i=[1:length(len050)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(2,k,j,l)=len050(i);
    l=l+1;
end

j=1;k=1;l=1;
for i=[1:length(len075)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(3,k,j,l)=len075(i);
    l=l+1;
end

j=1;k=1;l=1;
for i=[1:length(len100)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(4,k,j,l)=len100(i);
    l=l+1;
end

j=1;k=1;l=1;
for i=[1:length(len125)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(5,k,j,l)=len125(i);
    l=l+1;
end

j=1;k=1;l=1;
for i=[1:length(len150)]
    if rem(i,5)==1 && i~=1
        l=1;
        j=j+1;
    end
    if rem(i,25)==1 && i~=1
        j=1;
        k=k+1;
    end
    if rem(i,150)==1 && i~=1
        k=1;
    end
    d(6,k,j,l)=len150(i);
    l=l+1;
end
%%%%%%%%%%%%%%%%%% Solution array complete. %%%%%%%%%%%%%%%%%%%%%%

